-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local class = require 'mc.class'
local def = require 'domain.system_info.defs'

local SystemInfo = class()

function SystemInfo:ctor()
end

function SystemInfo:init()
    local cfg = self.cfg
    self.db_obj = cfg.db
    self.prop = cfg.prop
    self.system_id = cfg.system_id
    self.type = cfg.type or def.Type.Character
    self.volidate = cfg.volidate or false
end

return SystemInfo